Latest 5.0
Homepage https://github.com/leacode/LCYCoreDataHelper
License MIT
Platforms ios 8.0

A pure swift light weight core data framework

Swift 4 compatible
MIT license

纯swift的coredata框架,example里有demo,框架正在完善中,欢迎使用和提供建议以及帮助完善。
This is a pure swift coredata framework. It is developing and improving. The way to use is in the example project. Welcome to give sugestions or help.

如有疑问请邮件我: [email protected]
My email address: [email protected]

Carthage compatible

Installing LCYCoreDataHelper

LCYCoreDataHelper require a minimum deployment target of iOS 7, Now support swift4

If you need to support ios 7 ,you can drag the source file into your project. It will work fine. If your project need to support ios8 or later. I recommend you to use Carthage.

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate Alamofire into your Xcode project using Carthage, specify it in your Cartfile:

github "leacode/LCYCoreDataHelper" ~> 4.0

Run carthage update to build the framework and drag the built Alamofire.framework into your Xcode project.

License

LCYCoreDataHelper is released under the MIT License.

Latest podspec

{
    "name": "LCYCoreDataHelper",
    "version": "5.0",
    "license": "MIT",
    "summary": "A pure light weight core data framework written in Swift",
    "homepage": "https://github.com/leacode/LCYCoreDataHelper",
    "authors": "Leacode",
    "source": {
        "git": "https://github.com/leacode/LCYCoreDataHelper.git",
        "tag": "5.0"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source_files": "LCYCoreDataHelper/LCYCoreDataHelper/*.{h,swift}"
}

Pin It on Pinterest

Share This